Subject: Re: Led astray? Xilinx ml410 + u-boot + Linux?

From: Peter Ryser <[email-masked]>
Date: Thu, 01 Feb 2007 06:57:50 -0800

Joe,

please have a look at http://www.xilinx.com/ml410-p. The pages do 
contain information, documentation, and examples on how to use U-Boot 
and Linux 2.4 on the ML410.
There are Linux 2.6 solutions for the ML40x boards (ML403 and ML405) 
from MontaVista and Wind River. Since the ML40x boards are in key parts 
identical to the ML410 you can use those ports as a starting point for a 
port to the ML410.

- Peter

Joe wrote:
> I was told (by Xilinx reps!) that the Xilinx ML410 "supported" Linux.
>
> My goal is to have something "load" Linux and then execute it -- 
> preferably over NFS / Ethernet (for development purposes).
>
> As far as I can tell from searching the 'Net the ML403 is fairly well 
> supported but I have yet to see any level of confirmation that the 
> ML410 fully supports u-boot, Linux and Ethernet.
>
> When I download the u-boot file(s) from Xilinx they basically don't work:
>
>   0)  I get a u-boot command prompt via the serial port!! ;)
>   1)  The u-boot loadb command fails to accept any data via the kermit 
> protocol
>   2)  The u-boot 'dhcp' command fails to obtain an address -- either 
> by simply crashing or by sitting there indicating that it is re-trying 
> (in which case an Ethernet sniffer shows no activity from the Ethernet 
> ports).
>
> Linux 2.6.19 shows arc/ppc/configs/ml[403|300]_defconfig, but I see 
> *zero* indication that the 410 is supported.  Has anyone seen the 
> ML410 fully functional with Linux + a patch to enable the Ethernet ports?
> (I also note that on the mvi$ta site they list support for:  ML300 and 
> ML40x -- but NOT the ML410.)  My searches also seem to indicate that 
> the IP included for the 410 Ethernet MAC's is distinctly different 
> from the 403...
>
> My current project has a *very* short fuse -- I should have been 
> "running" (e.g. past init into a shell w/filesystem) two weeks ago.
>
> If someone could confirm that this platform *is* supported (and I'm 
> just missing this on my searches) I'd be quite grateful for some 
> pointers on where to re-direct my searches.
>
> OTOH, if someone could confirm that this platform is NOT currently 
> supported that would be just as useful -- decisions can be made and 
> actions taken.
>
> TIA.
>
> -- 
> Joe
>
>
>
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded